# TINS 2023

# Running

**Attention**: make sure the working directory contains the `src/assets/...` directory otherwise the application will crash (reporting a "FailedToLoadBitmap" error).

If you unzip the binaries package or build from sources this means that the root of the zip/sources is your working directory and you're executing `./zig-out/bin/tins2023` or `.\zig-out\bin\tins2023.exe`.

# Rules

## genre rule #41:

> Fable: all characters are animals.

The player plays as a lion, no further fable elements implemented.

## artistical rule #18:

> Iridescence.

The collectable stars are iridescent. Over time they slowly change or faster when your viewing angle changes.

## artistical rule #32:

> All Dialog must be implemented comic-book bubble style.

On (partial) completion or game over of the level you get a question to continue or not presented in a text bubble.

## technical rule #65:

> Implement a chart (bar chart, pie chart, any kind of chart).

The progress of the level (number of stars collected) is displayed as a tiny pie chart in the top right corner.

## bonus rule #24:

> Dynamic Duo - If you make your game suitable for two players, you may skip one rule.

Did not make use of the bonus rule.

# Binaries:

Binaries of the 1.0 version (as submitted) can be found here:

https://opslag.de/schobers/tins2023/releases/tag/v1_0

# Building

For building you need:
- A recent (0.11.0-dev) Zig compiler.
- Allegro 5.2.8 development libraries.

You can use `allegro.path` if your Allegro development libraries can't be natively found. In this file you can put the path to a directory that contains the Allegro `lib`, `bin` and `include` folders.

Build:
`zig build`

And run (after building):
`./zig-out/bin/tins2023`

Build & run automatically:
`zig build run`

# Licenses

## Cabin font

[Open Font License version 1.1](src/assets/fonts/Cabin-OFL.txt)

## Pixellari font

[Open Font License version 1.1](src/assets/fonts/Pixellari-OFL.txt)
