pub const FPS = struct {
    const Frames: usize = 100;

    frames: [Frames]f32 = [_]f32{0} ** Frames,
    total: f32 = 0,
    index: usize = 0,
    framesCounted: usize = 0,

    pub fn update(self: *FPS, dt: f32) void {
        self.total -= self.frames[self.index];
        self.total += dt;
        self.frames[self.index] = dt;
        self.index += 1;
        if (self.index == Frames) {
            self.index = 0;
        }
        if (self.framesCounted < Frames) {
            self.framesCounted += 1;
        }
    }

    pub fn fps(self: FPS) usize {
        if (self.framesCounted == 0) return 0;

        return @floatToInt(usize, @intToFloat(f32, self.framesCounted) / self.total);
    }
};
