const std = @import("std");

pub fn Object(comptime T: type) type {
    return struct {
        const Self = @This();

        allocator: std.mem.Allocator,
        ptr: *T,

        pub fn create(allocator: std.mem.Allocator) !Self {
            const ptr = try allocator.create(T);
            return Self{ .allocator = allocator, .ptr = ptr };
        }

        pub fn destroy(self: Self) void {
            self.allocator.destroy(self.ptr);
        }
    };
}
