const allegro = @import("allegro");
const game = @import("game.zig");
const Context = @import("context.zig").Context;

pub const MainMenuScene = struct {
    pub fn enter(self: *MainMenuScene, ctx: *Context) void {
        _ = ctx;
        _ = self;
    }

    pub fn exit(self: *MainMenuScene, ctx: *Context) void {
        _ = ctx;
        _ = self;
    }

    pub fn handle(self: *MainMenuScene, ctx: *Context, event: *allegro.Event) !void {
        _ = event;
        _ = ctx;
        _ = self;
    }

    pub fn update(self: *MainMenuScene, ctx: *Context, dt: f32) void {
        _ = self;
        _ = dt;
        _ = ctx;
    }

    pub fn render(self: *MainMenuScene, ctx: *Context) void {
        _ = self;
        allegro.clearToColor(ctx.palette.background.background);

        const center = ctx.viewport.center();
        ctx.textures.get("title_untitled").?.drawTintedCenteredScaled(ctx.palette.background.text, center.x, ctx.viewport.bounds.min.y + ctx.viewport.scale * 100, 0.5 * ctx.viewport.scale);

        ctx.renderer.drawTextV("default", ctx.palette.background.text, 0, 0.3, game.Renderer.TextAlignment.Center, "Play game");
        allegro.drawText(ctx.fonts.get("default").?, ctx.palette.background.text, center.x, ctx.viewport.bounds.min.y + ctx.viewport.scale * 200, allegro.DrawTextFlags.ALIGN_CENTER, "Play game");
    }
};
