const allegro = @import("allegro");
const Context = @import("context.zig").Context;
const MainMenuScene = @import("main_menu_scene.zig").MainMenuScene;

pub const TitleScene = struct {
    offset: f32,

    pub fn enter(self: *TitleScene, ctx: *Context) void {
        _ = ctx;
        _ = self;
    }

    pub fn exit(self: *TitleScene, ctx: *Context) void {
        _ = ctx;
        _ = self;
    }

    pub fn handle(self: *TitleScene, ctx: *Context, event: *allegro.Event) !void {
        switch (event.type) {
            allegro.c.ALLEGRO_EVENT_KEY_CHAR => {
                switch (event.keyboard.keycode) {
                    allegro.c.ALLEGRO_KEY_SPACE => try ctx.switchToScene(MainMenuScene, null),
                    else => {},
                }
            },
            else => {},
        }
        _ = self;
    }

    pub fn tick(self: *TitleScene, ctx: *Context, t: f32, dt: f32) void {
        _ = t;
        _ = self;
        _ = dt;
        _ = ctx;
    }

    pub fn render(self: *TitleScene, ctx: *Context) void {
        _ = self;
        allegro.clearToColor(ctx.palette.background.background);
        ctx.textures.get("opaque").?.drawTintedScaled(ctx.palette.tertiaryContainer.background, ctx.viewport.bounds.min.x, ctx.viewport.bounds.min.y, ctx.viewport.bounds.width(), ctx.viewport.bounds.height(), allegro.DrawFlags{});

        const center = ctx.viewport.center();
        ctx.textures.get("title_untitled").?.drawTintedCenteredScaled(ctx.palette.background.text, center.x, center.y, ctx.viewport.scale);
    }
};
